%global namedreltag .SP2
%global namedversion %{version}%{?namedreltag}

Name:             weld-api
Version:          2.3
Release:          7%{namedreltag}%{?dist}
Summary:          Weld API
License:          ASL 2.0
URL:              http://weld.cdi-spec.org
Source0:          https://github.com/weld/api/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(javax.enterprise:cdi-api)
BuildRequires:    mvn(javax.inject:javax.inject)
BuildRequires:    mvn(javax.validation:validation-api)
BuildRequires:    mvn(org.apache.maven.surefire:surefire-testng)
BuildRequires:    mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:    mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires:    mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api)
BuildRequires:    mvn(org.jboss.spec.javax.ejb:jboss-ejb-api_3.2_spec)
BuildRequires:    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.2_spec)
BuildRequires:    mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.1_spec)
BuildRequires:    mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)
BuildRequires:    mvn(org.jboss.weld:weld-parent:pom:)
BuildRequires:    mvn(org.testng:testng::jdk15:)

%description
Weld specifc extensions to the CDI API

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n api-%{namedversion}

%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin ":maven-checkstyle-plugin" weld/pom.xml
%pom_remove_plugin ":maven-checkstyle-plugin" weld-spi/pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc

%changelog
* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-7.SP2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-6.SP2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-5.SP2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-4.SP2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-3.SP2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Sep 12 2016 gil cattaneo <puntogil@libero.it> 2.3-2.SP2
- upgradepath fix

* Sun Aug 21 2016 gil cattaneo <puntogil@libero.it> 2.3-1.SP2
- Upstream release 2.3.SP2

* Mon Jun 06 2016 gil cattaneo <puntogil@libero.it> 2.3-1
- Upstream release 2.3.Final

* Tue Feb 09 2016 gil cattaneo <puntogil@libero.it> 2.2-4.SP3
- fix FTBFS (rhbz#1308237)
- use BRs mvn()-like
- fix some rpmlint problem

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-3.SP3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2.SP3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jan 14 2015 Marek Goldmann <mgoldman@redhat.com> - 2.2-1.SP3
- Upstream release 2.2.SP3

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.1-2
- Use Requires: java-headless rebuild (#1067528)

* Fri Jan 10 2014 Marek Goldmann <mgoldman@redhat.com> - 2.1-1
- Upstream release 2.1.Final

* Wed Oct 23 2013 Marek Goldmann <mgoldman@redhat.com> - 2.1-0.3.CR1
- Add bean-validation-api BR

* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.1-0.2.CR1
- Rebuild to regenerate broken POM files
- Related: rhbz#1021484

* Tue Oct 22 2013 Marek Goldmann <mgoldman@redhat.com> - 2.1-0.1.CR1
- Upstream release 2.1.CR1

* Thu Jul 04 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0-1
- Upstream release 2.0.SP1
- New guidelines

* Tue Feb 19 2013 Marek Goldmann <mgoldman@redhat.com> - 1.1-7
- Added geronimo-parent-poms BR
- Using geronimo-jta

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.1-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 01 2012 Marek Goldmann <mgoldman@redhat.com> 1.1-3
- Fixed jar naming

* Tue Mar 27 2012 Marek Goldmann <mgoldman@redhat.com> 1.1-2
- Fixed BR

* Wed Mar 14 2012 Marek Goldmann <mgoldman@redhat.com> 1.1-1
- Initial packaging

